Member (Java Platform SE 8 )
Keywords: java.lang.reflect.Member interface
Date: 2026-08-19

compact1, compact2, compact3
java.lang.reflect

## Interface Member

- All Known Implementing Classes:
    Constructor, Executable, Field, Method

      public interface Member

  Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.
  See Also:
    `Class`, `Field`, `Method`, `Constructor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DECLARED` Identifies the set of declared members of a class or interface.
    `static int` | `PUBLIC` Identifies the set of all public members of a class or interface, including inherited members.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getDeclaringClass()` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
    `int` | `getModifiers()` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.
    `String` | `getName()` Returns the simple name of the underlying member or constructor represented by this Member.
    `boolean` | `isSynthetic()` Returns `true` if this member was introduced by the compiler; returns `false` otherwise.

- - ### Field Detail

    - #### PUBLIC

          static final int PUBLIC

      Identifies the set of all public members of a class or interface, including inherited members.
      See Also:
        Constant Field Values

    - #### DECLARED

          static final int DECLARED

      Identifies the set of declared members of a class or interface. Inherited members are not included.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDeclaringClass

          Class<?> getDeclaringClass()

      Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
      Returns:
        an object representing the declaring class of the underlying member

    - #### getName

          String getName()

      Returns the simple name of the underlying member or constructor represented by this Member.
      Returns:
        the simple name of the underlying member

    - #### getModifiers

          int getModifiers()

      Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.
      Returns:
        the Java language modifiers for the underlying member
      See Also:
        `Modifier`

    - #### isSynthetic

          boolean isSynthetic()

      Returns `true` if this member was introduced by the compiler; returns `false` otherwise.
      Returns:
        true if and only if this member was introduced by the compiler.
      Since:
        1.5
      See The Java™ Language Specification:
        13.1 The Form of a Binary

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.